import request from '@/utils/request'

export function getContacts(deviceId) {
  return request({
    url: '/qw/contact/list/'+deviceId,
    method: 'get'
  })
}


export function getContactsByUser(userId) {
  return request({
    url: '/qw/contact/listByUser/'+userId,
    method: 'get'
  })
}


export function getConversation(userId) {
  return request({
    url: '/qw/contact/conversationList/'+userId,
    method: 'get'
  })
}


export function getMessageList(query) {
  return request({
    url: '/qw/message/getList',
    method: 'get',
    params: query
  })
}



